Subject: Re: [PATCH 5/8] [MV643XX_ETH] Remove SHARED_REGS register address bias

From: Roland Dreier <[email-masked]>
Date: Thu, 18 Oct 2007 20:46:58 -0700

> +static void __iomem *mv643xx_eth_base;

 > +	return readl(((void __iomem *)mv643xx_eth_base) + offset);

Given the declaration of mv643xx_eth_base as void __iomem * already, I
don't understand why you need the cast to the same type here (and
elsewhere in the driver).

 - R.